# $Revision: 1.13 $, $Date: 2007-11-17 22:03:57 $
# TODO:
# - check why it fails with ccache turned on
Summary:	GTK+ chess board interface for ICS and chess engines
Summary(pl.UTF-8):	Interfejs GTK+ do szachowych programów i serwerów
Name:		eboard
Version:	1.0.4
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	2bd2927a670ed23594cbf524bc5746ef
Source1:	%{name}.desktop
URL:		http://www.bergo.eng.br/eboard/
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
Suggests:	crafty
Suggests:	gnuchess
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eboard is a chess interface for Unix-like systems (GNU/Linux, FreeBSD,
Solaris, etc.) based on the GTK+ GUI toolkit. It provides a chess
board interface to ICS (Internet Chess Servers) like FICS and to chess
engines like GNU Chess, Sjeng and Crafty.

%description -l pl.UTF-8
eboard jest interfejsem do programów szachowych dla systemów
uniksowych opartym na bibliotece GTK+. Umożliwia współpracę zarówno z
internetowymi serwerami szachowymi (ICS) jak również z programami
szachowymi jak GNUchess, Sjeng czy Crafty.

%prep
%setup -q

#I think it can be do better
%build
./configure \
	--prefix="%{_prefix}" \
	--compiler="%{__cxx}" \
	--man-prefix="%{_mandir}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install icon-eboard.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO Documentation/*.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man[16]/*
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eboard.spec,v $
Revision 1.13  2007-11-17 22:03:57  blues
- gnuchess isn't required but suggested (the same with crafty), TODO added

Revision 1.12  2007/06/17 21:33:57  shadzik
- gettext-devel BR also unneeded

Revision 1.11  2007/06/17 21:02:03  lisu
- remove useless autotools deps

Revision 1.10  2007/06/17 20:55:28  lisu
- 1.0.4
- desktop file added
- new URL
- doc section added

Revision 1.9  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 22:31:58  lisu
- 1.0.3
- build with ./configure
- auto* macros are not supported in this version
- no international files in this version
- cosmetics

Revision 1.6  2004/12/09 11:30:01  paladine
- spaces->tabs
- cosmetics

Revision 1.5  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.4  2003/10/31 22:30:11  qboosh
- use optflags, more BRs, added missing files

Revision 1.3  2003/10/31 18:28:57  qwark
- clean up some sily mistakes

Revision 1.2  2003/10/31 10:43:40  qboosh
- simplified files, fixed URL, pl fixes and cosmetics

Revision 1.1  2003/10/31 10:34:46  qwark
- initial release; need review
